### set forwarding

Use the set forwarding command to

- Configure the PortServer to

  - Function as an IP router using Routing Information Protocol (RIP) to dynamically maintain routes
  - Perform proxy ARP services
  - Handle various ICMP-related functions

- Display IP routing parameters

Anyone can display IP routing parameters. Root privileges are required to configure IP routing. See the set route command for information on creating static routes.

#### Command Syntax

##### Configuration Syntax

Enter the set forwarding command as shown below to configure the PortServer for IP routing, proxy ARP, and various ICMP-related functions.

> `set forwarding [advertise=time]` `[icmpdiscovery={on|off}] [icmpsendredirects={on|off}]` `[icmpmaskserver={on|off}] [igmp={on|off}]` `[poisonreverse={on|off}] [proxyarp={on|off}] [state={off|passive|active}] [splithorizon={on|off}] [timeout=time]`

##### Display Syntax

Enter the set forwarding command as shown below to display IP routing parameters.

> `set forwarding`

#### Command Fields

Command Field | Description
advertise | Specifies the interval at which the PortServer advertises its routes. This field is used only if state=active. The range is 10 to 180 seconds, and the default is 30 seconds.
icmpdiscovery | on - means the PortServer sends and answers ICMP Router Discovery packets. off - means the PortServer does not send and answer ICMP Router Discovery packets. The default is off.
icmpmaskserver | on -means the PortServer acts as an ICMP mask server. off - means the PortServer does not act as an ICMP Mask Server. The default is off.
icmpsendredirects | on - means the PortServer sends ICMP redirect messages when it detects a host is using a non-optimal route, such as when the host uses the PortServer to route to a destination that can be reached more efficiently using another router or when the destination host can be reached directly (that is, without the services of any router). off - means the PortServer does not send ICMP redirect messages. The default is off.
igmp | on - means that the PortServer announces itself as a router when it initializes. This means that the PortServer will be included in the IGMP router’s group broadcasts. off - means that the PortServer does not announce itself as a router when it initializes and will not be included in IGMP router’s group broadcasts. The default is off.
poisonreverse | on - means that poisonreverse is on. When this option is on, learned routes are propagated over the same interface on which they are learned, but the destination specified in those routes are advertised as unreachable. The splithorizon option must be on if poisonreverse is on. off - means that the poisonreverse option is off. The default is off.
proxyarp | on - means the PortServer provides proxy ARP services. Proxy ARP is a technique in which a router answers ARP requests intended for another system. By pretending to be the other system, the router accepts responsibility for forwarding packets to that system. Use proxy ARP to route packets to and from serial routes on the same IP subnetwork as PortServer’s Ethernet interface. off - means the PortServer does not support proxy ARP. The default is off.
splithorizon | on - means the splithorizon option is on. When this option is on, learned routes are not propagated from the interface on which they are learned. Use this option, only if state=active. off - means the splithorizon option is off. The default is on.
state | off - limits PortServer routing to static routes defined in the route table. See set route. passive - configures the PortServer to use the routing information protocol (RIP) to learn routes but not to propagate them. active - configures the PortServer to use RIP to both learn and propagate routing information. The default is off.
timeout | Specifies the time in which an entry in the routing table must be updated. If an entry exceeds the value specified here, it will be discarded. This value must be at least six times the advertise value. The range is 60 to 1080, and the default is 180 seconds.

#### Command Examples

##### Displaying the IP Routing Table

In this example, the set forwarding command displays the IP routing table.

> `set forwarding`

##### Configuring Proxy ARP

In this example, the set forwarding command configures Proxy ARP

> `set forwarding proxyarp=on`

##### Configuring RIP

In this example, the set forwarding command configures the PortServer to

- Listen for and advertise RIP routing information every 45 seconds
- Discard this route from the routing table if a routing update is not received within 270 seconds. This value is derived from the value on the advertise field. The timeout value must be at least 6 times the advertise value. Since no timeout is specified, the default (6 times the advertise value) is used.
- Implement split horizon

> `set forwarding state=active advertise=45 splithorizon=on`